
Eina_Bool _edje_global_efl_gfx_color_class_color_class_set(Eo *obj, void *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer, int r, int g, int b, int a);


Eina_Bool _edje_global_efl_gfx_color_class_color_class_get(const Eo *obj, void *pd, const char *color_class, Efl_Gfx_Color_Class_Layer layer, int *r, int *g, int *b, int *a);


void _edje_global_efl_gfx_color_class_color_class_del(Eo *obj, void *pd, const char *color_class);


Eina_Bool _edje_global_efl_gfx_text_class_text_class_set(Eo *obj, void *pd, const char *text_class, const char *font, Efl_Font_Size size);


Eina_Bool _edje_global_efl_gfx_text_class_text_class_get(const Eo *obj, void *pd, const char *text_class, const char **font, Efl_Font_Size *size);


void _edje_global_efl_gfx_text_class_text_class_del(Eo *obj, void *pd, const char *text_class);


Eina_Bool _edje_global_efl_gfx_size_class_size_class_set(Eo *obj, void *pd, const char *size_class, int minw, int minh, int maxw, int maxh);


Eina_Bool _edje_global_efl_gfx_size_class_size_class_get(const Eo *obj, void *pd, const char *size_class, int *minw, int *minh, int *maxw, int *maxh);


void _edje_global_efl_gfx_size_class_size_class_del(Eo *obj, void *pd, const char *size_class);


static Eina_Bool
_edje_global_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EDJE_GLOBAL_EXTRA_OPS
#define EDJE_GLOBAL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_set, _edje_global_efl_gfx_color_class_color_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_get, _edje_global_efl_gfx_color_class_color_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_class_del, _edje_global_efl_gfx_color_class_color_class_del),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_set, _edje_global_efl_gfx_text_class_text_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_get, _edje_global_efl_gfx_text_class_text_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_text_class_del, _edje_global_efl_gfx_text_class_text_class_del),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_set, _edje_global_efl_gfx_size_class_size_class_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_get, _edje_global_efl_gfx_size_class_size_class_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_del, _edje_global_efl_gfx_size_class_size_class_del),
      EDJE_GLOBAL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _edje_global_class_desc = {
   EO_VERSION,
   "Edje.Global",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _edje_global_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(edje_global_class_get, &_edje_global_class_desc, EFL_OBJECT_CLASS, EFL_GFX_COLOR_CLASS_MIXIN, EFL_GFX_TEXT_CLASS_INTERFACE, EFL_GFX_SIZE_CLASS_INTERFACE, NULL);
